Subject: bug#9812: closed (Re: bug#9812: Problem with "tail -f" on GPFS filesystem // coreutils package)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 20 Oct 2011 18:38:02 +0000

Your bug report

#9812: Problem with "tail -f" on GPFS filesystem // coreutils package

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9812: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9812
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9812: Problem with "tail -f" on GPFS filesystem // coreutils package
From: Pádraig Brady <[email-masked]>
To: Martial-externe BORNET <[email-masked]>
Cc: [email-masked], Laurent LE-SAOUT <[email-masked]>, Antonio-externe RUSSO <[email-masked]>, [email-masked], Loic-externe LAUREOTE <[email-masked]>, [email-masked], Remi PALANCHER <[email-masked]>, Christian SOBRADO <[email-masked]>, Dominique PERRUCHON <[email-masked]>, Stephan GORGET <[email-masked]>, Bruno-externe AGNERAY <[email-masked]>
Date: Thu, 20 Oct 2011 19:29:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On 10/20/2011 03:52 PM, Martial-externe BORNET wrote:
> Good afternoon,
> 
> Could you please add the following line to the src/fs.h file :
> 
> # define S_MAGIC_GPFS 0x47504653

That was actually done in the recently released 8.13

> 
> and add the following line to the switch() of the fremote() function in 
> the src/tail.c file, in the coreutils package :
> 
> case S_MAGIC_GPFS:
> 
> or do you prefer me to send you a patch for these files ? (I'm not used to 
> that yet, but I'll do it if you need it).
> 
> These addings fix a "tail -f" problem with the GPFS filesystem.
> 
> I'm waiting for your reply.
> Thank you for your help regarding this fix.

Since you took the time to identify the fix
I'm applying this in your name.
Please advise if you'd like a different email address.
Note one can work around the issue without a patch
for the moment by using the currently undocumented ---disable-inotify option.

cheers,
Pádraig.

commit c0ca70013d7bbe60143910828e32146f3e94cc02
Author: Martial Bornet <[email-masked]>
Date:   Thu Oct 20 19:22:31 2011 +0100

    tail: fix --follow on GPFS remote file systems

    * src/tail.c (fremote): Recognize GPFS as a remote
    file system outside the scope of inotify.

diff --git a/src/tail.c b/src/tail.c
index f315776..1641a12 100644
--- a/src/tail.c
+++ b/src/tail.c
@@ -904,6 +904,7 @@ fremote (int fd, const char *name)
         case S_MAGIC_FUSEBLK:
         case S_MAGIC_FUSECTL:
         case S_MAGIC_GFS:
+        case S_MAGIC_GPFS:
         case S_MAGIC_KAFS:
         case S_MAGIC_LUSTRE:
         case S_MAGIC_NCP:

Subject: Problem with "tail -f" on GPFS filesystem // coreutils package
From: Martial-externe BORNET <[email-masked]>
To: [email-masked], [email-masked]
Cc: Laurent LE-SAOUT <[email-masked]>, Antonio-externe RUSSO <[email-masked]>, [email-masked], Loic-externe LAUREOTE <[email-masked]>, Dominique PERRUCHON <[email-masked]>, Remi PALANCHER <[email-masked]>, Christian SOBRADO <[email-masked]>, Stephan GORGET <[email-masked]>, Bruno-externe AGNERAY <[email-masked]>
Date: Thu, 20 Oct 2011 16:52:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Good afternoon,

Could you please add the following line to the src/fs.h file :

# define S_MAGIC_GPFS 0x47504653

and add the following line to the switch() of the fremote() function in 
the src/tail.c file, in the coreutils package :

case S_MAGIC_GPFS:

or do you prefer me to send you a patch for these files ? (I'm not used to 
that yet, but I'll do it if you need it).

These addings fix a "tail -f" problem with the GPFS filesystem.

I'm waiting for your reply.
Thank you for your help regarding this fix.

Kind regards,

Martial Bornet

Ce message et toutes les pièces jointes (ci-après le 'Message') sont établis à l'intention exclusive des destinataires et les informations qui y figurent sont strictement confidentielles. Toute utilisation de ce Message non conforme à sa destination, toute diffusion ou toute publication totale ou partielle, est interdite sauf autorisation expresse.

Si vous n'êtes pas le destinataire de ce Message, il vous est interdit de le copier, de le faire suivre, de le divulguer ou d'en utiliser tout ou partie. Si vous avez reçu ce Message par erreur, merci de le supprimer de votre système, ainsi que toutes ses copies, et de n'en garder aucune trace sur quelque support que ce soit. Nous vous remercions également d'en avertir immédiatement l'expéditeur par retour du message.

Il est impossible de garantir que les communications par messagerie électronique arrivent en temps utile, sont sécurisées ou dénuées de toute erreur ou virus.
____________________________________________________

This message and any attachments (the 'Message') are intended solely for the addressees. The information contained in this Message is confidential. Any use of information contained in this Message not in accord with its purpose, any dissemination or disclosure, either whole or partial, is prohibited except formal approval.

If you are not the addressee, you may not copy, forward, disclose or use any part of it. If you have received this message in error, please delete it and all copies from your system and notify the sender immediately by return message.

E-mail communication cannot be guaranteed to be timely secure, error or virus-free.